식별자를 사용하여 Cloud SIEM 엔터티 컨텍스트 저장소에서 단일 엔터티를 가져오고,
요청된 시간 범위 내의 엔터티에 대한 과거 수정 버전을 반환합니다. 엔드포인트는 기간(from / to) 전체에서
수정 버전을 반환하거나 특정 시점(as_of)에 엔터티 스냅샷을 반환할 수 있습니다. 두 가지 모드는
상호 배타적입니다.
This endpoint requires the siem_entities_read permission.
OAuth apps require the siem_entities_read authorization scope to access this endpoint.
인수
경로 파라미터
이름
유형
설명
id [required]
string
The unique identifier of the entity to retrieve.
쿼리 문자열
이름
유형
설명
entity_type
enum
The type of entity to retrieve. Only siem_entity_identity is currently supported.
Defaults to siem_entity_identity. Allowed enum values: siem_entity_identity
from
string
The start of the time range to query, as an RFC3339 timestamp or a relative time (for example, now-7d).
Defaults to now-7d. Ignored when as_of is set.
to
string
The end of the time range to query, as an RFC3339 timestamp or a relative time (for example, now).
Defaults to now. Ignored when as_of is set.
as_of
string
A point in time at which to query the entity revisions, as an RFC3339 timestamp, a Unix timestamp
(in seconds), or a relative time (for example, now-1d). When set, from and to are ignored.
Cannot be combined with custom from / to values.
Response from the single entity context endpoint, containing the matching entity.
Expand All
항목
유형
설명
data [required]
object
A single entity returned by the entity context endpoint.
attributes [required]
object
The attributes of an entity context entry, grouping all the historical revisions of the entity.
revisions [required]
[object]
The historical revisions of the entity, ordered chronologically.
attributes [required]
object
The set of attributes recorded for the entity at this revision. The keys depend on the kind of entity.
first_seen_at [required]
date-time
The first time the entity was observed at this revision.
last_seen_at [required]
date-time
The last time the entity was observed at this revision.
id [required]
string
The unique identifier of the entity.
type [required]
string
The type of the entity. Reflects the underlying entity kind from the entity context store
(for example, siem_entity_identity for identities). Defaults to entity when the kind is unknown.
# Path parameters exportid="user@example.com" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
"""
Get a single entity context returns "OK" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.security_monitoring_apiimportSecurityMonitoringApiconfiguration=Configuration()configuration.access_token=environ["DD_BEARER_TOKEN"]configuration.unstable_operations["get_single_entity_context"]=TruewithApiClient(configuration)asapi_client:api_instance=SecurityMonitoringApi(api_client)response=api_instance.get_single_entity_context(id="user@example.com",)print(response)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Get a single entity context returns "OK" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]config.unstable_operations["v2.get_single_entity_context".to_sym]=trueendapi_instance=DatadogAPIClient::V2::SecurityMonitoringAPI.newpapi_instance.get_single_entity_context("user@example.com")
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Get a single entity context returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.GetSingleEntityContext",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewSecurityMonitoringApi(apiClient)resp,r,err:=api.GetSingleEntityContext(ctx,"user@example.com",*datadogV2.NewGetSingleEntityContextOptionalParameters())iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `SecurityMonitoringApi.GetSingleEntityContext`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `SecurityMonitoringApi.GetSingleEntityContext`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Get a single entity context returns "OK" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.SecurityMonitoringApi;importcom.datadog.api.client.v2.model.SingleEntityContextResponse;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));defaultClient.setUnstableOperationEnabled("v2.getSingleEntityContext",true);SecurityMonitoringApiapiInstance=newSecurityMonitoringApi(defaultClient);try{SingleEntityContextResponseresult=apiInstance.getSingleEntityContext("user@example.com");System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling SecurityMonitoringApi#getSingleEntityContext");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
// Get a single entity context returns "OK" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_security_monitoring::GetSingleEntityContextOptionalParams;usedatadog_api_client::datadogV2::api_security_monitoring::SecurityMonitoringAPI;#[tokio::main]asyncfnmain(){letmutconfiguration=datadog::Configuration::new();configuration.set_unstable_operation_enabled("v2.get_single_entity_context",true);letapi=SecurityMonitoringAPI::with_config(configuration);letresp=api.get_single_entity_context("user@example.com".to_string(),GetSingleEntityContextOptionalParams::default(),).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Get a single entity context returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});configuration.unstableOperations["v2.getSingleEntityContext"]=true;constapiInstance=newv2.SecurityMonitoringApi(configuration);constparams: v2.SecurityMonitoringApiGetSingleEntityContextRequest={id:"user@example.com",};apiInstance.getSingleEntityContext(params).then((data: v2.SingleEntityContextResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
맞춤형 데모 요청
Datadog 시작하기
Ask AI
AI-generated responses may be inaccurate. Verify important info.